'use strict';

var cs = require('classnames');
var React = require('react');
var index = require('../Typo/index.js');
var style = require('./style.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var cs__default = /*#__PURE__*/_interopDefault(cs);
var React__default = /*#__PURE__*/_interopDefault(React);

const MinWidth = "E_m196gn1d";
const Nav = ({
  left,
  right,
  center,
  isScrolled,
  navRef
}) => {
  return /* @__PURE__ */React__default.default.createElement(style.Header, {
    ref: navRef,
    className: MinWidth,
    id: "global-header"
  }, /* @__PURE__ */React__default.default.createElement("div", {
    className: "left"
  }, left), /* @__PURE__ */React__default.default.createElement("div", {
    className: cs__default.default("center", style.NavCenterStyle, index.Typo.Heading.h3_bold_title, isScrolled && "is-scrolled")
  }, center), /* @__PURE__ */React__default.default.createElement("div", {
    className: cs__default.default("right", isScrolled && "is-scrolled")
  }, /* @__PURE__ */React__default.default.createElement("span", {
    className: "btn-group"
  }, right)));
};
var Nav$1 = Nav;

module.exports = Nav$1;
